abstract: 'Transparency is crucial in security-critical applications that rely on

  authoritative information, as it provides a robust mechanism for holding these

  authorities accountable for their actions. A number of solutions have emerged

  in recent years that provide transparency in the setting of certificate

  issuance, and Bitcoin provides an example of how to enforce transparency in a

  financial setting. In this work we shift to a new setting, the distribution of

  software package binaries, and present a system for so-called "binary

  transparency." Our solution, Contour, uses proactive methods for providing

  transparency, privacy, and availability, even in the face of persistent

  man-in-the-middle attacks. We also demonstrate, via benchmarks and a test

  deployment for the Debian software repository, that Contour is the only system

  for binary transparency that satisfies the efficiency and coordination

  requirements that would make it possible to deploy today.'
archiveprefix: arXiv
author: Mustafa Al-Bassam and Sarah Meiklejohn
eprint: 1712.08427v2
file: 1712.08427v2.pdf
files:
- tmpp73pzm1t.pdf
month: '12'
primaryclass: cs.CR
ref: 1712.08427v2
tags: master
title: 'Contour: A Practical System for Binary Transparency'
type: article
url: http://arxiv.org/abs/1712.08427v2
year: '2017'
